let dark = getCookie("dark") === "true";
if (dark) {
    document.write('<link rel="stylesheet" href="dark.css">')
}

$(function () {
    let openModals = function (hash) {
        if (hash.length > 1) {
            if (hash === '#impressum') {
                $('#impressum-modal').modal('show');
            }
        }
    }
    openModals(window.location.hash);
    $('a').on('click', function () {
        openModals($(this).attr('href'));
    });

    $('.navbar-collapse a').on('click', function () {
        $('.navbar-collapse').collapse('hide');
    });

    $('#blobheart').on('click', function () {
        $('#navbar-image').attr('src', 'res/heart.png');
    });

    let mode = $('#dark-mode');
    mode.prop('checked', dark);
    mode.on('click', function () {
        var date = new Date();
        date.setTime(date.getTime() + (365 * 24 * 60 * 60 * 1000));
        document.cookie = "dark=" + $(this).prop('checked') + ";expires=" + date.toUTCString();
        location.reload();
    });
});

function getCookie(key) {
    let c = document.cookie;
    if (!c)
        return undefined;
    let start = c.indexOf(key + "=") + key.length + 1;
    let end = c.indexOf(";", start);
    return c.substring(start, end < 0 ? c.length : end);
}